# Class TextStyle

java.lang.Object
com.codename1.ui.editor.TextStyle

public final class TextStyle extends Object
An immutable inline text style (bold / italic / underline / strike, foreground color, highlight color and relative font size) used by the pure rich text editor. Instances are value objects; the `#with*` methods return a possibly new instance leaving the original untouched, which makes them safe to share across runs.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TextStyle`
  `DEFAULT`
  The default (unstyled) text style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `getFontSizeLevel()`
  The relative font size level (1..7), or 0 for the default size.
  `int`
  `getForeColor()`
  The foreground color as 0xRRGGBB, or -1 to inherit.
  `int`
  `getHighlight()`
  The highlight (background) color as 0xRRGGBB, or -1 for none.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `boolean`
  `isBold()`
  True when bold.
  `boolean`
  `isItalic()`
  True when italic.
  `boolean`
  `isStrike()`
  True when struck through.
  `boolean`
  `isUnderline()`
  True when underlined.
  `TextStyle`
  `withBold(boolean v)`
  Returns a style with bold set to the given value.
  `TextStyle`
  `withFontSizeLevel(int v)`
  Returns a style with the given font size level (1..7, or 0 for default).
  `TextStyle`
  `withForeColor(int v)`
  Returns a style with the given foreground color (or -1 to inherit).
  `TextStyle`
  `withHighlight(int v)`
  Returns a style with the given highlight color (or -1 for none).
  `TextStyle`
  `withItalic(boolean v)`
  Returns a style with italic set to the given value.
  `TextStyle`
  `withStrike(boolean v)`
  Returns a style with strike-through set to the given value.
  `TextStyle`
  `withUnderline(boolean v)`
  Returns a style with underline set to the given value.

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT

    public static final TextStyle DEFAULT
    The default (unstyled) text style.

- ## Method Details

  - ### isBold

    public boolean isBold()
    True when bold.

  - ### isItalic

    public boolean isItalic()
    True when italic.

  - ### isUnderline

    public boolean isUnderline()
    True when underlined.

  - ### isStrike

    public boolean isStrike()
    True when struck through.

  - ### getForeColor

    public int getForeColor()
    The foreground color as 0xRRGGBB, or -1 to inherit.

  - ### getHighlight

    public int getHighlight()
    The highlight (background) color as 0xRRGGBB, or -1 for none.

  - ### getFontSizeLevel

    public int getFontSizeLevel()
    The relative font size level (1..7), or 0 for the default size.

  - ### withBold

    public TextStyle withBold(boolean v)
    Returns a style with bold set to the given value.

  - ### withItalic

    public TextStyle withItalic(boolean v)
    Returns a style with italic set to the given value.

  - ### withUnderline

    public TextStyle withUnderline(boolean v)
    Returns a style with underline set to the given value.

  - ### withStrike

    public TextStyle withStrike(boolean v)
    Returns a style with strike-through set to the given value.

  - ### withForeColor

    public TextStyle withForeColor(int v)
    Returns a style with the given foreground color (or -1 to inherit).

  - ### withHighlight

    public TextStyle withHighlight(int v)
    Returns a style with the given highlight color (or -1 for none).

  - ### withFontSizeLevel

    public TextStyle withFontSizeLevel(int v)
    Returns a style with the given font size level (1..7, or 0 for default).

  - ### equals

    public boolean equals(Object o)
    Description copied from class: `Object`
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Description copied from class: `Object`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `Object`